GWT 2.7.0

## com.google.gwt.view.client
Class DefaultSelectionEventManager.CheckboxEventTranslator<T>

    java.lang.Object
      com.google.gwt.view.client.DefaultSelectionEventManager.CheckboxEventTranslator<T>

Type Parameters:
  `T` - the data type

All Implemented Interfaces:
  DefaultSelectionEventManager.EventTranslator<T>

Enclosing class:
  DefaultSelectionEventManager<T>

    public static class DefaultSelectionEventManager.CheckboxEventTranslator<T>

extends java.lang.Object
implements DefaultSelectionEventManager.EventTranslator<T>

Implementation of `DefaultSelectionEventManager.BlacklistEventTranslator` that only triggers selection when any checkbox is selected.

Constructor Summary
`DefaultSelectionEventManager.CheckboxEventTranslator()` Construct a new `DefaultSelectionEventManager.CheckboxEventTranslator` that will trigger selection when any checkbox in any column is selected.
`DefaultSelectionEventManager.CheckboxEventTranslator(int column)` Construct a new `DefaultSelectionEventManager.CheckboxEventTranslator` that will trigger selection when a checkbox in the specified column is selected.

Method Summary
`boolean` | `clearCurrentSelection(CellPreviewEvent<T> event)` Check whether a user selection event should clear all currently selected values.
`DefaultSelectionEventManager.SelectAction` | `translateSelectionEvent(CellPreviewEvent<T> event)` Translate the user selection event into a `DefaultSelectionEventManager.SelectAction`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultSelectionEventManager.CheckboxEventTranslator

    public DefaultSelectionEventManager.CheckboxEventTranslator()

  Construct a new `DefaultSelectionEventManager.CheckboxEventTranslator` that will trigger selection when any checkbox in any column is selected.

### DefaultSelectionEventManager.CheckboxEventTranslator

    public DefaultSelectionEventManager.CheckboxEventTranslator(int column)

  Construct a new `DefaultSelectionEventManager.CheckboxEventTranslator` that will trigger selection when a checkbox in the specified column is selected.

  Parameters:
    `column` - the column index, or -1 for all columns

Method Detail

### clearCurrentSelection

    public boolean clearCurrentSelection(CellPreviewEvent<T> event)

  Description copied from interface: `DefaultSelectionEventManager.EventTranslator`
  Check whether a user selection event should clear all currently selected values.

  Specified by:
    `clearCurrentSelection` in interface `DefaultSelectionEventManager.EventTranslator<T>`
  Parameters:
    `event` - the `CellPreviewEvent` to translate

### translateSelectionEvent

    public DefaultSelectionEventManager.SelectAction translateSelectionEvent(CellPreviewEvent<T> event)

  Description copied from interface: `DefaultSelectionEventManager.EventTranslator`
  Translate the user selection event into a `DefaultSelectionEventManager.SelectAction`.

  Specified by:
    `translateSelectionEvent` in interface `DefaultSelectionEventManager.EventTranslator<T>`
  Parameters:
    `event` - the `CellPreviewEvent` to translate

GWT 2.7.0